explain_fflush_or_die(3)

NAME
explain_fflush_or_die - flush a stream and report errors
    "flush a stream and report errors"

SYNOPSIS
#include <libexplain/fflush.h>

void explain_fflush_or_die(FILE *fp);
int explain_fflush_on_error(FILE *fp);

DESCRIPTION
The explain_fflush_or_die function is used to call the fflush(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_fflush(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_fflush_on_error function is used to call the fflush(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_fflush(3) function, but still returns to the caller.

fp  The fp, exactly as to be passed to the fflush(3) system call.

RETURN VALUE
The explain_fflush_or_die function only returns on success, see fflush(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_fflush_on_error function always returns the value return by the wrapped fflush(3) system call.

EXAMPLE
The explain_fflush_or_die function is intended to be used in a fashion similar to the following example:
    explain_fflush_or_die(fp);

SEE ALSO

fflush(3)
    flush a stream

explain_fflush(3)
    explain fflush(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.1
Copyright (C) 2009 Peter Miller